Subject: Re: bug#66288: 29.1; Performance regression using pipe for subprocess

From: Gerd Möllmann <[email-masked]>
Date: Tue, 03 Oct 2023 07:06:40 +0200

Chris Hanson <[email-masked]> writes:

> I've been running the tests with a pre-release version of MIT/GNU
> Scheme. But I re-ran them with 11.2 and it had the same behavior as
> the pre-release.
>
> I'm running Ubuntu 22.04 LTS, and I built 28.2 and 29.1 from source (I
> don't usually use the Emacs that comes with the distro). I've also
> seen the slowdown on my laptop with Debian 12, though I haven't done
> as much testing there.
>
> I have an old laptop running macOS; I can try that too.

If I could reproduce this somehow, I could try a git bisect.

Or, if you are building from source already, maybe you could try that?

> One other thing comes to mind: is it possible that this is a problem
> with native compilation? I built both 28.2 and 29.1 to use native
> compilation. Did anything relevant change in 29.1?

I've built emacs-29.1 with native compilation now, and it behaves the
same as without for me.

My system, BTW, is macOS 13.6 Ventura, x86_64, updated with OCLP because
Apple doesn't support my old Macbook Pro anymore.

BTW, I'm always testing with emacs -Q.  Just to be 100% sure - you do
the same?